/* Calcul du PGCD de 2 nombres entiers positifs */
/* par methode recursive                        */

public class PGCDRecursifEnConsole {

//////////////////////////////////////////////////

/* Calcul du PGCD de 2 nombres entiers positifs */
/* par methode recursive                        */

  static int PGCD(int a,int b) {
    int res = 0;
    if ( a < b ) {
      res = PGCD(b,a); }
      else {
      if ( b == 0 ) {
        res = a; }
        else {
        res = PGCD(b,a % b); } }
    return res;
  }

//////////////////////////////////////////////////

/* Programme principal                          */

  public static void main(String [] args) {
    Console.setTitle("PGCDRecursif");
    int na;
    int nb;
    int pgcd;
    Console.afficherln("Valeurs ? ");
    na = Console.saisirInt();
    nb = Console.saisirInt();
    pgcd = PGCD(na,nb);
    Console.afficherln("PGCD(",na,",",nb,") = ",pgcd);
  }
}